Bug 1260261 - [abrt] parole: gtk_widget_destroy(): parole killed by SIGSEGV
Summary: [abrt] parole: gtk_widget_destroy(): parole killed by SIGSEGV
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: parole
Version: 23
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Christoph Wickert
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:e67a15ea5cfd62bd00910dd29f3...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-09-05 09:52 UTC by Giulio 'juliuxpigface'
Modified: 2016-12-20 14:34 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-12-20 14:34:56 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (25.72 KB, text/plain)
2015-09-05 09:52 UTC, Giulio 'juliuxpigface'
no flags Details
File: cgroup (190 bytes, text/plain)
2015-09-05 09:52 UTC, Giulio 'juliuxpigface'
no flags Details
File: core_backtrace (2.20 KB, text/plain)
2015-09-05 09:52 UTC, Giulio 'juliuxpigface'
no flags Details
File: dso_list (12.70 KB, text/plain)
2015-09-05 09:52 UTC, Giulio 'juliuxpigface'
no flags Details
File: environ (3.00 KB, text/plain)
2015-09-05 09:52 UTC, Giulio 'juliuxpigface'
no flags Details
File: limits (1.29 KB, text/plain)
2015-09-05 09:52 UTC, Giulio 'juliuxpigface'
no flags Details
File: maps (61.32 KB, text/plain)
2015-09-05 09:52 UTC, Giulio 'juliuxpigface'
no flags Details
File: mountinfo (3.05 KB, text/plain)
2015-09-05 09:52 UTC, Giulio 'juliuxpigface'
no flags Details
File: namespaces (85 bytes, text/plain)
2015-09-05 09:52 UTC, Giulio 'juliuxpigface'
no flags Details
File: open_fds (1.29 KB, text/plain)
2015-09-05 09:52 UTC, Giulio 'juliuxpigface'
no flags Details
File: proc_pid_status (1003 bytes, text/plain)
2015-09-05 09:52 UTC, Giulio 'juliuxpigface'
no flags Details
File: var_log_messages (512 bytes, text/plain)
2015-09-05 09:52 UTC, Giulio 'juliuxpigface'
no flags Details

Description Giulio 'juliuxpigface' 2015-09-05 09:52:20 UTC
Description of problem:
Description of problem:
I'm doing release validation testing on qemu-kvm for Fedora 23 and I'm currently trying Xfce Beta TC1.
parole crashes after a double click on the media to be reproduced.

Version-Release number of selected component (if applicable):
parole-0.8.0-3.fc23.x86_64

How reproducible:
Always

Steps to Reproduce:
1. Launch Parole (it doesn't matter if it's launched from Xfce's menu or from terminal).
2. Enter the directory '/usr/share/orage/sounds/'
3. Double click on a valid audio file.

Actual results:
1. Parole crashes and abrt catches the issue.
2. It seems like an issue in how the software interacts with the graphical toolkit (gtk). Actually, if I choose the 'open' button instead of double-clicking on the file to be reproduced, I don't hit this specific bug.

Expected results:
1. Parole should not crash.
2. Users should be able to double click on the file.

Version-Release number of selected component:
parole-0.8.0-3.fc23

Additional info:
reporter:       libreport-2.6.2
backtrace_rating: 4
cmdline:        parole
crash_function: gtk_widget_destroy
executable:     /usr/bin/parole
global_pid:     2270
kernel:         4.2.0-0.rc6.git0.2.fc23.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (3 frames)
 #0 gtk_widget_destroy at gtkwidget.c:4804
 #1 parole_media_chooser_add_idle at parole-mediachooser.c:175
 #6 gtk_main at gtkmain.c:1230

Comment 1 Giulio 'juliuxpigface' 2015-09-05 09:52:24 UTC
Created attachment 1070458 [details]
File: backtrace

Comment 2 Giulio 'juliuxpigface' 2015-09-05 09:52:26 UTC
Created attachment 1070459 [details]
File: cgroup

Comment 3 Giulio 'juliuxpigface' 2015-09-05 09:52:27 UTC
Created attachment 1070460 [details]
File: core_backtrace

Comment 4 Giulio 'juliuxpigface' 2015-09-05 09:52:29 UTC
Created attachment 1070461 [details]
File: dso_list

Comment 5 Giulio 'juliuxpigface' 2015-09-05 09:52:31 UTC
Created attachment 1070462 [details]
File: environ

Comment 6 Giulio 'juliuxpigface' 2015-09-05 09:52:32 UTC
Created attachment 1070463 [details]
File: limits

Comment 7 Giulio 'juliuxpigface' 2015-09-05 09:52:36 UTC
Created attachment 1070464 [details]
File: maps

Comment 8 Giulio 'juliuxpigface' 2015-09-05 09:52:37 UTC
Created attachment 1070465 [details]
File: mountinfo

Comment 9 Giulio 'juliuxpigface' 2015-09-05 09:52:39 UTC
Created attachment 1070466 [details]
File: namespaces

Comment 10 Giulio 'juliuxpigface' 2015-09-05 09:52:40 UTC
Created attachment 1070467 [details]
File: open_fds

Comment 11 Giulio 'juliuxpigface' 2015-09-05 09:52:42 UTC
Created attachment 1070468 [details]
File: proc_pid_status

Comment 12 Giulio 'juliuxpigface' 2015-09-05 09:52:43 UTC
Created attachment 1070469 [details]
File: var_log_messages

Comment 13 Fedora End Of Life 2016-11-24 12:27:46 UTC
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 14 Fedora End Of Life 2016-12-20 14:34:56 UTC
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.